<?php

defined('_JEXEC') or die;
JLoader::import('joomla.filesystem.file');

JHtml::_('behavior.framework', true);
// Параметры
$color				= $this->params->get('templatecolor');
$logo				= $this->params->get('logo');
$sitetitle			= $this->params->get('sitetitle');
$app				= JFactory::getApplication();
$sitename = $app->getCfg('sitename');
$templateparams		= $app->getTemplate(true)->params;
$doc = JFactory::getDocument();

// ширина
if ($this->countModules('position-8') && $this->countModules('position-7'))
{
	$span = "span6";
}
elseif ($this->countModules('position-8') && !$this->countModules('position-7'))
{
	$span = "span9";
}
elseif (!$this->countModules('position-8') && $this->countModules('position-7'))
{
	$span = "span9";
}

else
{
	$span = "span12";
}
$doc->addStyleSheet($this->baseurl . '/templates/' . $this->template . '/css/template.css');
?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>">
<head>
<jdoc:include type="head" />	
	<style type="text/css">
				body {background-color: <?php echo htmlspecialchars($templateparams->get('backgroundcolor'));?>; background-image: url(<?php echo $this->baseurl ?>/<?php echo htmlspecialchars($templateparams->get('backgroundimage'));?>)}
				#header {background-color: <?php echo htmlspecialchars($templateparams->get('backgroundheadercolor'));?>; background-image: url(<?php echo $this->baseurl ?>/<?php echo htmlspecialchars($templateparams->get('backgroundheaderimage'));?>)}
				#centre {background-color: <?php echo htmlspecialchars($templateparams->get('backgroundcentrecolor'));?>;}
				#c-centre {background-color: <?php echo htmlspecialchars($templateparams->get('backccentre'));?>;}
				#c-left, #c-right {background-color: <?php echo htmlspecialchars($templateparams->get('backlrcentre'));?>;}
				#footer {background-color: <?php echo htmlspecialchars($templateparams->get('backgroundfootercolor'));?>; background-image: url(<?php echo $this->baseurl ?>/<?php echo htmlspecialchars($templateparams->get('backgroundfooterimage'));?>)}
							</style>


</head>

<body><div id="all">
<div id="header">
<div id="head-left">	
<div class="logo">
							<?php if ($logo) : ?>
							<img src="<?php echo $this->baseurl ?>/<?php echo htmlspecialchars($logo); ?>"  alt="<?php echo htmlspecialchars($templateparams->get('sitetitle'));?>" />
						<?php endif;?>
						<h1><?php if ($sitetitle) : ?>
							<?php echo htmlspecialchars($sitetitle);?>
			<?php elseif (!$sitetitle AND $sitename) : ?>
							<?php echo $sitename; ?>
						<?php endif; ?>
					</h1>
						
						<span class="h-description">
						<?php echo htmlspecialchars($templateparams->get('sitedescription'));?>
						</span>
					</div>

			

</div>
					<div id="h-right">
<jdoc:include type="modules" name="loginmod" style="xhtml" /></div>
<div id="h-menu">
				<jdoc:include type="modules" name="position-1"  />
			</div></div>

<div id="centre">

<div id="kroshki">  <jdoc:include type="modules" name="position-2" style="none" /> <div class="search">
						<jdoc:include type="modules" name="position-0" style="none" />
					</div> </div>

<?php if ($this->countModules('position-8')) : ?><div id="c-left">
<jdoc:include type="modules" name="position-8" style="xhtml" /></div>
<?php endif; ?>
<div id="c-centre" class="<?php echo $span;?>">
<jdoc:include type="modules" name="position-3" style="xhtml" />	
<jdoc:include type="message" />
	<jdoc:include type="component" />
	
					<jdoc:include type="modules" name="aftcontent1" style="xhtml" />
					
	</div>
<?php if ($this->countModules('position-7')) : ?>
	<div id="c-right">
<jdoc:include type="modules" name="position-7" style="xhtml" />
</div><?php endif; ?>

</div>
<div id="footer">
<jdoc:include type="modules" name="footer" style="none" />

<div id="s-foot"><div id="aftercontent">
					<div id="aftcontleft"><jdoc:include type="modules" name="f1" style="xhtml" /></div>
					<div id="aftcontright"><jdoc:include type="modules" name="f2" style="xhtml" /></div>
					</div>
</div>
			<div class="fb-right"><a href="#top" id="back-top"><?php echo JText::_('Вверх'); ?></a></div>
			<div class="fb-left">&copy; <?php echo $sitename; ?> <?php echo date('Y');?></div>
</div></div>
</body>
</html>